/**
* @license
* Copyright (C) 2017-2018 "IoT.bzh"
* Author Sebastien Douheret <sebastien@iot.bzh>
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*   http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

/**
* @license
* Copyright (C) 2017-2018 "IoT.bzh"
* Author Sebastien Douheret <sebastien@iot.bzh>
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*   http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

import { NbMenuItem } from '@nebular/theme';

export const MENU_ITEMS: NbMenuItem[] = [
  {
    title: 'XDS-Dashboard',
    icon: 'nb-home',
    link: '/pages/dashboard',
    home: true,
  },
  {
    title: 'DEVELOPMENT',
    group: true,
  },
  {
    title: 'SDKs',
    icon: 'fa fa-file-archive-o',
    link: '/pages/sdks',
    /*
    children: [
      {
        title: 'SDKs Management',
        link: '/pages/sdks/management',
      },
    ],
    */
  },
  {
    title: 'Projects',
    icon: 'nb-keypad',
    link: '/pages/projects',
  },
  {
    title: 'Build',
    icon: 'fa fa-cogs',
    link: '/pages/build',
  },
  {
    title: 'Targets',
    icon: 'fa fa-microchip',
    link: '/pages/targets',
    children: [
      {
        title: 'List',
        link: '/pages/targets/list',
      },
      {
        title: 'Terminal',
        link: '/pages/targets/term',
      },
    ],
  },
  {
    title: 'Supervision / Monitoring',
    icon: 'fa fa-bar-chart',
    link: '/pages/supervision',
    children: [
      {
        title: 'Config',
        link: '/pages/supervision/config',
      },
      {
        title: 'Graph',
        link: '/pages/supervision/graph',
      },
    ],
  },
  {
    title: 'MISC',
    group: true,
  },

  {
    title: 'Configuration',
    icon: 'fa fa-sliders',
    link: '/pages/config',
    children: [
      {
        title: 'Global',
        link: '/pages/config/global',
      },
      {
        title: 'XDS Server',
        link: '/pages/config/xds',
      },
    ],
  },
  {
    title: 'Auth',
    icon: 'nb-locked',
    children: [
      {
        title: 'Login',
        link: '/auth/login',
      },
      {
        title: 'Register',
        link: '/auth/register',
      },
      {
        title: 'Request Password',
        link: '/auth/request-password',
      },
      {
        title: 'Reset Password',
        link: '/auth/reset-password',
      },
    ],
  },
];
