/**
* @license
* Copyright (C) 2017-2018 "IoT.bzh"
* Author Sebastien Douheret <sebastien@iot.bzh>
*
* Licensed under the Apache License, Version 2.0 (the "License");
* you may not use this file except in compliance with the License.
* You may obtain a copy of the License at
*
*   http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
*/

import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { Subject } from 'rxjs/Subject';

import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { TargetAddModalComponent } from './target-add-modal/target-add-modal.component';

import { TargetService, ITarget } from '../../@core-xds/services/target.service';
import { AlertService } from '../../@core-xds/services/alert.service';

@Component({
  selector: 'xds-targets',
  styleUrls: ['./targets.component.scss'],
  templateUrl: './targets.component.html',
})
export class TargetsComponent implements OnInit {

  public targets$: Observable<ITarget[]>;

  protected curTargetID: string;

  constructor(
    private modalService: NgbModal,
    private targetSvr: TargetService,
    private alert: AlertService,
  ) {
    this.curTargetID = '';
  }

  ngOnInit() {
    this.targets$ = this.targetSvr.targets$;
  }

  add() {
    const activeModal = this.modalService.open(TargetAddModalComponent, {
      size: 'lg',
      windowClass: 'modal-xxl',
      container: 'nb-layout',
    });
  }

}
